<?php

# -- BEGIN LICENSE BLOCK ----------------------------------

# This file is part of easythumb, a plugin for Dotclear 2.

# 

# Copyright (c) 2009-2010 JC Denis and contributors

# jcdenis@gdwd.com

# 

# Licensed under the GPL version 2.0 license.

# A copy of this license is available in LICENSE file or at

# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html

# -- END LICENSE BLOCK ------------------------------------



if (!defined('DC_CONTEXT_ADMIN')){return;}



$new_version = $core->plugins->moduleInfo('easythumb','version');

$old_version = $core->getVersion('easythumb');



if (version_compare($old_version,$new_version,'>=')) return;



try

{

	$core->blog->settings->addNamespace('easythumb');

	$core->blog->settings->easythumb->put('easythumb_thumb_quality',90,'integer','Define thumbnail quality',false,true);

	$core->blog->settings->easythumb->put('easythumb_nb_ajax_req',2,'integer','Max number of ajax simultaneous requests',false,true);

	$core->setVersion('easythumb',$new_version);

	

	return true;

}

catch (Exception $e)

{

	$core->error->add($e->getMessage());

}

return false;

?>